## org.eclipse.emf.cdo.spi.common.id
Class CDOIDLongImpl

    java.lang.Object
      org.eclipse.emf.cdo.spi.common.id.AbstractCDOID
          org.eclipse.emf.cdo.spi.common.id.AbstractCDOIDLong
              org.eclipse.emf.cdo.spi.common.id.CDOIDLongImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CDOID>, CDOID, CDOIDObject

    public class CDOIDLongImpl

extends AbstractCDOIDLong
implements CDOIDObject

Since:
  2.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`CDOID.Type`

Field Summary

Fields inherited from class org.eclipse.emf.cdo.spi.common.id.AbstractCDOIDLong
`NULL_VALUE`

Fields inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`NULL`

Constructor Summary
`CDOIDLongImpl()`
`CDOIDLongImpl(long value)`

Method Summary
`protected int` `doCompareTo(CDOID o)`
`CDOID.Type` `getType()`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.cdo.spi.common.id.AbstractCDOIDLong
`equals, getLongValue, hashCode, read, read, toURIFragment, write`

Methods inherited from class org.eclipse.emf.cdo.spi.common.id.AbstractCDOID
`compareTo, isExternal, isMeta, isNull, isObject, isTemporary`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOID
`isExternal, isMeta, isNull, isObject, isTemporary, toURIFragment`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### CDOIDLongImpl

    public CDOIDLongImpl()

### CDOIDLongImpl

    public CDOIDLongImpl(long value)

Method Detail

### getType

    public CDOID.Type getType()

  Specified by:
    `getType` in interface `CDOID`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractCDOIDLong`

### doCompareTo

    protected int doCompareTo(CDOID o)
                       throws java.lang.ClassCastException

  Specified by:
    `doCompareTo` in class `AbstractCDOID`
  Throws:
    `java.lang.ClassCastException`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.